@import "root-style.css";
/*styling pre samotny event - uz co sa deje*/
.event{

}

.event-name{
    width: 80%;
}

.fa{
    cursor: pointer;
}

.point{
    position: absolute;
    top: 13px;
    font-size: 1.8rem;
    padding: 2px;

}

[data-calendar-theme=light] .point{
    color: black;
 }

[data-calendar-theme=light] .vanilla-calendar-day__btn_selected .point {
    color: white;
}

[data-calendar-theme=dark] .vanilla-calendar-day__btn_selected, [data-calendar-theme=dark] .vanilla-calendar-day__btn_selected:hover {
    background-color: #3e8bae; /*var(--c-highlight)*/
}

.fa-plus, .fa-circle, .fa-sliders-h, .fa-search-plus{
    color: var(--c-highlight);
    cursor: pointer;
}

.fa-sliders-h, .fa-plus{
    transition: font-size 0.3s; /* Add transition for smooth size change */
}
.fa-sliders-h:hover, .fa-plus:hover {
    font-size: 18px; /* Larger font size on hover */
}


input[type="date"] {
    cursor: pointer;
}

.filter{
    display: flex;
    justify-content: space-around;
    padding: 15px;


}


.calendar-container{
    display: flex;
    justify-content: center;

}

.event-time-container{
    display: flex;
    flex-wrap: wrap;
}



.event-time{
    width: fit-content;
    border: 1px solid #cccccc;
    border-radius: 15px;
    background-color: white;
    padding: 10px;
    margin: 3px;
    transition: .2s ease-in-out;
}

.event-time:hover{
    background-color: var(--c-highlight);
    color: white;
    border-color: var(--c-highlight);
    cursor: pointer;
}

.event-content {
    padding: 10px 0;
    /* background-color: white; */
    overflow: hidden;
}


.arrow-icon-right {
    transition: transform 0.3s ease; /* Smooth transition for transform property */
}

.arrow-icon-right.down {
    transform: rotate(90deg); /* Rotates the arrow icon 90 degrees */
}



/* ---- Calendar classes ---- */
/* all calendar css classes: https://vanilla-calendar.pro/docs/reference/additionally/css-classes */

.vanilla-calendar-wrapper{
    padding: 10px;
}

[data-calendar-theme=light] .vanilla-calendar-week__day{
    font-size: 1rem;
}
[data-calendar-theme=light] .vanilla-calendar-day__btn{
    font-size: 1rem;
}

.vanilla-calendar-week__day {
    display: flex;
    width: 100%;
    min-width: 1.875rem;
    align-items: center;
    justify-content: center;
    font-size: .75rem;
    line-height: 1rem;
    font-weight: 700;
    margin: 0.438rem;
}

.vanilla-calendar-day__btn {
    display: flex;
    height: 100%;
    min-height: 1.875rem;
    width: 100%;
    min-width: 1.875rem;
    cursor: default;
    align-items: center;
    justify-content: center;
    border-radius: 0.5rem;
    border-width: 0;
    font-size: .75rem;
    line-height: 1rem;
    font-weight: 400;
    padding: 0.625rem;
}
[data-calendar-theme=light] .vanilla-calendar-week__day_weekend{
    color: #64748b;
}
[data-calendar-theme=light] .vanilla-calendar-day__btn_weekend,
[data-calendar-theme=light] .vanilla-calendar-day__btn_weekend:hover{
    color: #0f172a;

}

[data-calendar-theme=dark] .vanilla-calendar-week__day_weekend
{
    color: #fff;
}

[data-calendar-theme=light] .vanilla-calendar-day__btn_weekend:hover{
    background-color: rgb(241 245 249 / var(--tw-bg-opacity));

}

[data-calendar-theme=dark] .vanilla-calendar-day__btn_weekend:hover
{
    color: #fff;
}


[data-calendar-theme=dark] .vanilla-calendar-day__btn_weekend
{
    color: #94a3b8;
}
[data-calendar-theme=dark] .vanilla-calendar-day__btn_weekend.vanilla-calendar-day__btn_selected,
[data-calendar-theme=light] .vanilla-calendar-day__btn_weekend.vanilla-calendar-day__btn_selected,
[data-calendar-theme=dark] .vanilla-calendar-day__btn_weekend.vanilla-calendar-day__btn_selected:hover,
[data-calendar-theme=light] .vanilla-calendar-day__btn_weekend.vanilla-calendar-day__btn_selected:hover{
    background-color: rgb(6 182 212 / var(--tw-bg-opacity))
}
/*[data-calendar-theme=dark] .vanilla-calendar-day__btn_weekend.vanilla-calendar-day__btn_selected,*/
/*[data-calendar-theme=dark] .vanilla-calendar-day__btn_holiday.vanilla-calendar-day__btn_selected,*/
/*[data-calendar-theme=dark] .vanilla-calendar-day__btn_weekend.vanilla-calendar-day__btn_selected:hover,*/
/*[data-calendar-theme=dark] .vanilla-calendar-day__btn_holiday.vanilla-calendar-day__btn_selected:hover*/
/*{*/
/*    background-color: #3e8bae;*/
/*    color: #fff;*/
/*}*/

.vanilla-calendar-week__day_weekend{
    color: #fff;
}

[data-calendar-theme=dark] .vanilla-calendar-day__btn_weekend.vanilla-calendar-day__btn_today,
[data-calendar-theme=dark] .vanilla-calendar-day__btn_holiday.vanilla-calendar-day__btn_today,
[data-calendar-theme=light] .vanilla-calendar-day__btn_weekend.vanilla-calendar-day__btn_today,
[data-calendar-theme=light] .vanilla-calendar-day__btn_holiday.vanilla-calendar-day__btn_today
{
    color: #3e8bae;
}

[data-calendar-theme=light] .vanilla-calendar-day__btn_holiday.vanilla-calendar-day__btn_selected,
[data-calendar-theme=light] .vanilla-calendar-day__btn_weekend.vanilla-calendar-day__btn_selected{
    color: white;
}

/*[data-calendar-theme=dark] .vanilla-calendar-day__btn {*/
/*    color: var(--c-text-th-dark);*/
/*    background-color: var(--bc-foreground-th-dark);*/

/*}*/

/*[data-calendar-theme=dark].vanilla-calendar {*/
/*    color: var(--c-text-th-dark);*/
/*    background-color: var(--bc-foreground-th-dark);*/

/*}*/